package com.live.mylivewallpaper;

import android.app.Application;
import android.graphics.Typeface;

import com.anythink.core.api.ATSDK;
import com.anythink.core.api.NetTrafficeCallback;
//import com.anythink.debug.api.ATDebuggerUITest;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.live.mylivewallpaper.data.ResultData;
import com.live.mylivewallpaper.help.Common;
import com.live.mylivewallpaper.help.Db;
import com.live.mylivewallpaper.help.Shared;
import com.live.mylivewallpaper.topon.AdManager;

import java.io.InputStream;
import java.lang.reflect.Type;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class App extends Application {
    private static Typeface defaultFont;
    private static App mApplication;
    private static String thumbStr = "https://neutrolabgames.com/LiveLoop/CpanelPix/VideoThumb/";

    public static String TAG = "--------------------LIVE----------";
    public static String getThumbStr() {
        return thumbStr;
    }

    public static App getApplication() {
        return mApplication;
    }

    @Override
    public void onCreate() {
        super.onCreate();
        mApplication = this;
        defaultFont = Typeface.createFromAsset(getAssets(), "font.ttf");
        initSDk();
        Db.init(this);
        String dbinit = Shared.INSTANCE.getDbinit();
        if(dbinit.equals("0")){
            loadData();
        }

    }

    public static Typeface getDefaultFont() {
        return defaultFont;
    }

    private void loadData() {
          String name[] = {"trending.json","Explore.json","Shift.json"};
            ExecutorService cachedThreadPool = Executors.newFixedThreadPool(3);
              for (int i = 0;i<3;i++){
                  int task = i;
                  cachedThreadPool.execute(new Runnable() {
                      @Override
                      public void run() {
//                          Common.logMsg("执行任务 "+task+"---开始--"+Thread.currentThread().getName());
                          Gson gson = new Gson();
                          InputStream open = null;
                          try {
                              open = getAssets().open(name[task]);
                          }catch (Exception e){
                          }
                          if(open == null){
                              return;
                          }
                          Type type = new TypeToken<List<ResultData>>() {
                          }.getType();
                          String covertStr = Common.getCovertStr(open);
                          List<ResultData> data = gson.fromJson(covertStr, type);
                          for (ResultData datum : data) {
                              Db.insertDb(datum);
                          }
                          Shared.INSTANCE.setDbinit("1");
//                          Common.logMsg("执行任务 "+task+"---完成--"+Thread.currentThread().getName());
                      }
                  });
              }
    }



    private void initSDk(){
         String APPId ="h6776591bc967e";

         String AppKey ="a359707dba4dcae7ac8bc66d0d163295c";
         String debugKey = "d2f08ee302fdd0741819983376817c0bf71bfe67";
        ATSDK.checkIsEuTraffic(this, new NetTrafficeCallback() {

            @Override
            public void onResultCallback(boolean isEU) {
                if (isEU && ATSDK.getGDPRDataLevel(App.this) == ATSDK.UNKNOWN) {
                    ATSDK.showGdprAuth(App.this);
                }

            }

            @Override
            public void onErrorCallback(String errorMsg) {

            }
        });
        ATSDK.init( this, APPId, AppKey);
//        ATDebuggerUITest.showDebuggerUI(this,debugKey);
        AdManager.loadAllAd();
    }
}
